%{?!python_module:%define python_module() python3-%{**}}
%bcond_without  ext_deps
%define _disable_ld_no_undefined 1
Name:           python-vispy
Version:        0.6.4
Release:        %mkrel 1
Summary:        Interactive visualization in Python
License:        BSD-3-Clause
Group:          Development/Python
URL:            https://github.com/vispy/vispy
Source:         https://files.pythonhosted.org/packages/source/v/vispy/vispy-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module numpy-devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module setuptools-scm-git-archive}
BuildRequires:  jupyter-notebook-filesystem
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module sdl2}
BuildRequires:  %{python_module glfw}
BuildRequires:  %{python_module imageio}
BuildRequires:  ipython
BuildRequires:  %{python_module networkx}
BuildRequires:  %{python_module opengl}
BuildRequires:  %{python_module pyglet}
BuildRequires:  %{python_module qt5}
BuildRequires:  %{python_module scipy}
BuildRequires:  fontconfig
BuildRequires:  %{python_module setuptools_scm}
%if %{with ext_deps}
BuildRequires:  %{python_module cassowary}
BuildRequires:  %{python_module decorator}
BuildRequires:  %{python_module freetype}
BuildRequires:  %{python_module husl}
BuildRequires:  %{python_module pypng}
BuildRequires:  %{python_module six}
%endif
# /SECTION


%global _description\
Vispy is an interactive 2D/3D data visualization library. It leverages Graphics\
Processing Units through the OpenGL library to display large datasets.

%description %_description

%package     -n python3-vispy
Summary:   Interactive visualization in Python
%if %{with ext_deps}
Requires:       python3-cassowary
Requires:       python3-decorator
Requires:       python3-freetype
Requires:       python3-husl
Requires:       python3-pypng
Requires:       python3-six
%endif
Requires:       fontconfig
Requires:       python3-numpy
Requires:       python3-qt5
Recommends:     python3-sdl2
Recommends:     python3-imageio
Recommends:     ipython
Recommends:     python3-networkx
Recommends:     python3-opengl
Recommends:     python3-pyglet
Recommends:     python3-pypng
Recommends:     python3-scipy

%description -n python3-vispy %_description

%package     -n jupyter-vispy
Summary:        Interactive visualization in the Jupyter notebook
Requires:       jupyter-notebook
Requires:       python3-vispy = %{version}
BuildArch:      noarch

%description -n jupyter-vispy
Vispy is an interactive 2D/3D data visualization library. It leverages Graphics
Processing Units through the OpenGL library to display large datasets.

This package provides the jupyter notebook extension.

%prep
%setup -q -n vispy-%{version}
%if %{with ext_deps}
rm -rf vispy/ext/_bundled
%endif
sed -i -e '/^#!\//, 1d' vispy/glsl/build-spatial-filters.py vispy/util/transforms.py vispy/visuals/collections/util.py

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%py3_build

%install
%py3_install
%jupyter_move_config

%files -n python3-vispy
%doc README.rst
%license LICENSE.txt
%{python_sitearch}/*

%files -n jupyter-vispy
%license LICENSE.txt
%config %{_jupyter_nb_notebook_confdir}/vispy.json
%{_jupyter_nbextension_dir}/vispy/


%changelog
* Fri Aug 21 2020 joequant <joequant> 0.6.4-1.mga8
+ Revision: 1617340
- add dep
- fix deps
- imported package python-vispy

